module.exports = {
  content: [
    "./src/**/*.{vue,js,ts}",
    "./node_modules/vue-tailwind-datepicker/**/*.js",
  ],
  purge: ["./index.html", "./src/**/*.{vue,js,ts,jsx,tsx}"],
  darkMode: false, // or 'media' or 'class'
  theme: {
    extend: {
      backgroundImage: {
        navbar:
          "linear-gradient(to bottom,rgba(0, 15, 125, 0.9),rgba(0, 96, 255, 0.9))",
        normal:
          "linear-gradient(180deg,rgba(127, 237, 193, 0.1),rgba(0, 0, 0, 0),rgba(127, 237, 193, 0.1))",
      },
      colors: {
        dark: "#111",
        warning: "#ffe448",
        "sub-warning": "#BEAC53",
        info: "#35eded",
        "dark-info": "#24272c",
        "light-info": "#83e0ea",
        success: "#8ee894",
        "sub-success": "#808B68",
        "success-content": "#8ee894",
        body: "#02101B",
        danger: "#722e3c",
        active: "#6fdda8",
        innerTable: "rgba(111, 221, 168, 0.1)",
        error: "#ff033e",
      },
      boxShadow: {
        custom: "0px 0px 10px 1px rgba(255, 255, 255, 0.8)",
      },
    },
  },
  variants: {
    extend: {},
  },
  plugins: [require("daisyui")],
  daisyui: {
    themes: ["synthwave", "dracula"],
  },
};
